## com.puppycrawl.tools.checkstyle.api
Interface Configuration

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DefaultConfiguration

    public interface Configuration

extends Serializable

A Configuration is used to configure a Configurable component. The general idea of Configuration/Configurable was taken from Jakarta's Avalon framework.

Author:
  lkuehne

Method Summary
`String` `getAttribute(String aName)` The attribute value for an attribute name.
`String[]` `getAttributeNames()` The set of attribute names.
`Configuration[]` `getChildren()` The set of child configurations.
`String` `getName()` The name of this configuration.

Method Detail

### getAttributeNames

    String[] getAttributeNames()

  The set of attribute names.

  Returns:
    The set of attribute names, never null.

### getAttribute

    String getAttribute(String aName)
                        throws CheckstyleException

  The attribute value for an attribute name.

  Parameters:
    `aName` - the attribute name
  Returns:
    the value that is associated with aName
  Throws:
    `CheckstyleException` - if aName is not a valid attribute name

### getChildren

    Configuration[] getChildren()

  The set of child configurations.

  Returns:
    The set of child configurations, never null.

### getName

    String getName()

  The name of this configuration.

  Returns:
    The name of this configuration.

Back to the Checkstyle Home Page